<div>
  <div>
    <table
      mat-table
      [dataSource]="organizations"
      class="mat-elevation-z0 table-orga"
      multiTemplateDataRows
    >
      <ng-container matColumnDef="logo">
        <th mat-header-cell *matHeaderCellDef>
          {{ 'adminorganizations.logo' | translate }}
        </th>
        <td mat-cell *matCellDef="let organization">
          <div class="icon-space">
            <div *ngIf="organization.logo; else standardLogo">
              <img rel="icon" type="image/x-icon" [src]="organization.logo" />
            </div>
            <ng-template #standardLogo>
              <!-- <energy-platform-flower-icons
                class="toolbarIcon icon-size-xs icon-black"
                name="organizationIcon"
              ></energy-platform-flower-icons> -->
              <mat-icon>business</mat-icon>
            </ng-template>
          </div>
        </td></ng-container
      >

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>
          {{ 'adminorganizations.name' | translate }}
        </th>
        <td mat-cell *matCellDef="let organization">
          {{ organization.organizationName }}
        </td>
      </ng-container>

      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>
          {{ 'adminorganizations.description' | translate }}
        </th>
        <td mat-cell *matCellDef="let organization">
          {{ organization.organizationDescription }}
        </td>
      </ng-container>

      <ng-container matColumnDef="action">
        <th class="continer-class" mat-header-cell *matHeaderCellDef>
          {{ 'adminorganizations.action' | translate }}
        </th>
        <td
          mat-cell
          *matCellDef="let organization"
          (click)="$event.stopPropagation()"
        >
          <mat-icon
            class="material-icons action-buttons icon-space"
            (click)="editOrganization(organization)"
            >edit</mat-icon
          >
          <mat-icon
            class="material-icons action-buttons icon-space"
            (click)="deleteOrganization(organization)"
            >delete</mat-icon
          >
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
      <tr
        mat-row
        *matRowDef="let element; columns: columnsToDisplay"
        class="example-element-row"
        [style.backgroundColor]="element === expandedElement ? '#eeeeee' : ''"
        [class.example-expanded-row]="expandedElement === element"
        (click)="expandedElement = expandedElement === element ? null : element"
      ></tr>
      <tr
        mat-row
        *matRowDef="let row; columns: ['expandedDetail']"
        class="example-detail-row"
      ></tr>

      <ng-container matColumnDef="expandedDetail">
        <td
          mat-cell
          *matCellDef="let element"
          [attr.colspan]="columnsToDisplay.length"
        >
          <div
            class="example-element-detail"
            [ngClass]="{ 'element-expanded': element === expandedElement }"
            [@detailExpand]="
              element === expandedElement ? 'expanded' : 'collapsed'
            "
          >
            <div class="user-info">
              <div class="user-single-info">
                <span class="user-single-into-title"
                  >{{ 'adminorganizations.users' | translate }}:</span
                >
                <div *ngFor="let user of element.users">
                  {{ user.firstName }} {{ user.lastName }}
                </div>
              </div>
            </div>
          </div>
        </td>
      </ng-container>
    </table>

    <mat-card
      class="card mobileView"
      *ngFor="let organization of organizations"
    >
      <div class="card-items">
        <div class="action-mobileView">
          <span class="mobileViewHint"
            >{{ 'adminorganizations.action' | translate }}:
          </span>
          <div
            class="action-mobileView-buttons"
            (click)="$event.stopPropagation()"
          >
            <button mat-icon-button (click)="editOrganization(organization)">
              <mat-icon>edit</mat-icon>
            </button>
            <button mat-icon-button (click)="deleteOrganization(organization)">
              <mat-icon>delete</mat-icon>
            </button>
          </div>
        </div>
      </div>
    </mat-card>
    <button
      mat-fab
      color="primary"
      class="floatingButton"
      (click)="addNewOrganization()"
    >
      <mat-icon>add</mat-icon>
    </button>
  </div>
</div>
